from fastapi import APIRouter
from .events.router import event_endpoint_route
from .services.router import services_endpoint_route
from .application.router import application_endpoint_route

def get_routes() -> list[APIRouter]:
    return [event_endpoint_route, application_endpoint_route, services_endpoint_route]


def get_safe_endpoint_urls() -> list[tuple[str, str]]:
    return [
        ("/", "GET"),
        ("/docs", "GET"),
        ("/redoc", "GET"),
        ("/openapi.json", "GET"),
        ("/metrics", "GET"),
    ]
